#include "httpclient.h"
#include "string.h"
#include "stdio.h"
#include "main.h"
#include "sys_http.h"
#include "FreeRTOS.h"
#include "task.h"
#include "log.h"
#include "gd32_flash.h"

//http配置标志位
uint8_t load_http_config=0;
//get请求  http://gpu.ringzle.com:8082/iot/transmit/getTransmitConfig/DT8pd3ac6h 端口8082
//目前为此处去控制http一次性读入数据大小，应为该处为读入函数
void http_getDemo(void)
{

	int datalen;
	int ret;
	char *http_data=pvPortMalloc(18 * 1024); // 接收数据上限为19K
	char *http=pvPortMalloc(50);
	sprintf(http,"/iot/transmit/getTransmitConfig/%s",gatewayId);
	ret = http_clientGet("gpu.ringzle.com", http, 8082, 0, http_data, &datalen);
	if(ret==200) //获取成功
	{		
//		save_config_params(http_data);
		load_http_config=1;
	}
	HTTP_PRINTF("%s", (char *)http_data);
	HTTP_PRINTF("\r\n ret=%d datalen=%d\r\n", ret, datalen);
	vPortFree(http_data);
	vPortFree(http);
	http_data = NULL;
	http = NULL;
}

/*
*********************************************************************************************************
*	函 数 名: int get_http_config(void)
*	功能说明: 获取http配置的相关参数
*	形    参：无
*	返 回 值: 返回http是否配置 0：没有配置过，1：配置过
*********************************************************************************************************
*/
int get_http_config(void)
{
	return load_http_config;
}
